io.vertx.rxjava.ext.asyncsql

## Class AsyncSQLClient

- java.lang.Object
- - io.vertx.rxjava.ext.sql.SQLClient
  - - io.vertx.rxjava.ext.asyncsql.AsyncSQLClient

- All Implemented Interfaces:
    SQLOperations
  Direct Known Subclasses:
    MySQLClient, PostgreSQLClient

      public class AsyncSQLClient
      extends SQLClient

  Represents an asynchronous SQL client

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AsyncSQLClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncSQLClient(AsyncSQLClient delegate)`
    `AsyncSQLClient(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `AsyncSQLClient` | `getDelegate()`
    `int` | `hashCode()`
    `static AsyncSQLClient` | `newInstance(AsyncSQLClient arg)`
    `SQLOperations` | `querySingle(String sql, Handler<AsyncResult<JsonArray>> handler)` Execute a one shot SQL statement that returns a single SQL row.
    `Observable<JsonArray>` | `querySingleObservable(String sql)` Deprecated. use `rxQuerySingle(java.lang.String)` instead
    `SQLOperations` | `querySingleWithParams(String sql, JsonArray arguments, Handler<AsyncResult<JsonArray>> handler)` Execute a one shot SQL statement with arguments that returns a single SQL row.
    `Observable<JsonArray>` | `querySingleWithParamsObservable(String sql, JsonArray arguments)` Deprecated. use `rxQuerySingleWithParams(java.lang.String, io.vertx.core.json.JsonArray)` instead
    `Single<JsonArray>` | `rxQuerySingle(String sql)` Execute a one shot SQL statement that returns a single SQL row.
    `Single<JsonArray>` | `rxQuerySingleWithParams(String sql, JsonArray arguments)` Execute a one shot SQL statement with arguments that returns a single SQL row.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.sql.SQLClient

      `call, callObservable, callWithParams, callWithParamsObservable, close, close, closeObservable, getConnection, getConnectionObservable, newInstance, query, queryObservable, queryStream, queryStreamObservable, queryStreamWithParams, queryStreamWithParamsObservable, queryWithParams, queryWithParamsObservable, rxCall, rxCallWithParams, rxClose, rxGetConnection, rxQuery, rxQueryStream, rxQueryStreamWithParams, rxQueryWithParams, rxUpdate, rxUpdateWithParams, update, updateObservable, updateWithParams, updateWithParamsObservable`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.sql.SQLOperations

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AsyncSQLClient> __TYPE_ARG

  - ### Constructor Detail

    - #### AsyncSQLClient

          public AsyncSQLClient(AsyncSQLClient delegate)

    - #### AsyncSQLClient

          public AsyncSQLClient(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SQLClient`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SQLClient`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SQLClient`

    - #### getDelegate

          public AsyncSQLClient getDelegate()

      Specified by:
        `getDelegate` in interface `SQLOperations`
      Overrides:
        `getDelegate` in class `SQLClient`

    - #### querySingle

          public SQLOperations querySingle(String sql,
                                           Handler<AsyncResult<JsonArray>> handler)

      Execute a one shot SQL statement that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `querySingle` in interface `SQLOperations`
      Overrides:
        `querySingle` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
        `handler` - the result handler
      Returns:
        self

    - #### querySingleObservable

          @Deprecated
          public Observable<JsonArray> querySingleObservable(String sql)

      Deprecated. use `rxQuerySingle(java.lang.String)` instead
      Execute a one shot SQL statement that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Overrides:
        `querySingleObservable` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
      Returns:
        self

    - #### rxQuerySingle

          public Single<JsonArray> rxQuerySingle(String sql)

      Execute a one shot SQL statement that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Overrides:
        `rxQuerySingle` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
      Returns:
        self

    - #### querySingleWithParams

          public SQLOperations querySingleWithParams(String sql,
                                                     JsonArray arguments,
                                                     Handler<AsyncResult<JsonArray>> handler)

      Execute a one shot SQL statement with arguments that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Specified by:
        `querySingleWithParams` in interface `SQLOperations`
      Overrides:
        `querySingleWithParams` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
        `arguments` - the arguments
        `handler` - the result handler
      Returns:
        self

    - #### querySingleWithParamsObservable

          @Deprecated
          public Observable<JsonArray> querySingleWithParamsObservable(String sql,
                                                                                   JsonArray arguments)

      Deprecated. use `rxQuerySingleWithParams(java.lang.String, io.vertx.core.json.JsonArray)` instead
      Execute a one shot SQL statement with arguments that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Overrides:
        `querySingleWithParamsObservable` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
        `arguments` - the arguments
      Returns:
        self

    - #### rxQuerySingleWithParams

          public Single<JsonArray> rxQuerySingleWithParams(String sql,
                                                           JsonArray arguments)

      Execute a one shot SQL statement with arguments that returns a single SQL row. This method will reduce the boilerplate code by getting a connection from the pool (this object) and return it back after the execution. Only the first result from the result set is returned.
      Overrides:
        `rxQuerySingleWithParams` in class `SQLClient`
      Parameters:
        `sql` - the statement to execute
        `arguments` - the arguments
      Returns:
        self

    - #### newInstance

          public static AsyncSQLClient newInstance(AsyncSQLClient arg)

Copyright © 2021 Eclipse. All rights reserved.